> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the tables maintenance knows



## OpenAPI

````yaml get /api/maintenance/tables
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/maintenance/tables:
    get:
      tags:
        - Iceberg maintenance
      summary: List the tables maintenance knows
      operationId: list_tables_api_maintenance_tables_get
      parameters:
        - name: catalog
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 128
              - type: 'null'
            description: Only this catalog.
            title: Catalog
          description: Only this catalog.
        - name: namespace
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 512
              - type: 'null'
            description: Only this namespace (exact).
            title: Namespace
          description: Only this namespace (exact).
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
              - type: 'null'
            description: Part of the table name.
            title: Search
          description: Part of the table name.
        - name: role
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - owner
                  - mirror
                type: string
              - type: 'null'
            description: Owners or mirrors only.
            title: Role
          description: Owners or mirrors only.
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TablePage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    TablePage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TableSummaryOut'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        offset:
          type: integer
          title: Offset
        limit:
          type: integer
          title: Limit
      type: object
      required:
        - items
        - total
        - offset
        - limit
      title: TablePage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TableSummaryOut:
      properties:
        registration_id:
          type: string
          format: uuid
          title: Registration Id
        catalog:
          type: string
          title: Catalog
        namespace:
          type: string
          title: Namespace
        table_name:
          type: string
          title: Table Name
        table:
          type: string
          title: Table
        role:
          type: string
          title: Role
        role_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Role Reason
        active:
          type: boolean
          title: Active
        health:
          anyOf:
            - type: integer
            - type: 'null'
          title: Health
        last_maintained_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Maintained At
        last_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Status
        snapshot_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Snapshot Id
        data_files:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Files
        total_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Bytes
        avg_file_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Avg File Bytes
      type: object
      required:
        - registration_id
        - catalog
        - namespace
        - table_name
        - table
        - role
        - active
      title: TableSummaryOut
      description: One table registration as maintenance sees it.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.